9.5. Kodowanie do formatu MPEG
Poprzedni | Rozdział 9. Podstawy używania MEncodera | Następny

## 9.5. Kodowanie do formatu MPEG

MEncoder może tworzyć pliki formatu MPEG (MPEG-PS). Zazwyczaj, jeśli używasz filmu MPEG-1 albo MPEG-2, to jest tak ponieważ kodujesz na ograniczony format, taki jak SVCD, VCD albo DVD. Specyficzne ograniczenia tych formatów są wyjaśnione w przewodniku tworzenia VCD i DVD.

Aby zmienić wyjściowy format plików MEncodera, użyj opcji `-of mpeg`.

Przykład:

    mencoder wejscie.avi -of mpeg -ovc lavc -lavcopts vcodec=mpeg1video \
        -oac copy inne_opcje -o wyjście.mpg

Tworzenie pliku MPEG-1, który można odtworzyć na systemach z minimalną obsługą multimedialną, taką jak domyślne instalacje Windows:

    mencoder wejscie.avi -of mpeg -mpegopts format=mpeg1:tsaf:muxrate=2000 \
        -o wyjście.mpg -oac lavc -lavcopts acodec=mp2:abitrate=224 -ovc lavc \
        -lavcopts vcodec=mpeg1video:vbitrate=1152:keyint=15:mbd=2:aspect=4/3

To samo, ale używając muxera MPEG z `libavformat`:

    mencoder wejście.avi -o VCD.mpg -ofps 25 -vf scale=352:288,harddup -of lavf \
        -lavfopts format=mpg:i_certify_that_my_video_stream_does_not_use_b_frames \
        -oac lavc -lavcopts acodec=mp2:abitrate=224 -ovc lavc \
        -lavcopts vcodec=mpeg1video:vrc_buf_size=327:keyint=15:vrc_maxrate=1152:vbitrate=1152:vmax_b_frames=0

### Wskazówka:

Jeżeli z jakiegoś powodu nie satysfakcjonuje Cię jakość video z drugiego przebiegu, możesz ponownie uruchomić kodowanie swojego video z inną docelową szybkością transmisji (bitrate), zakładając, że zapisałeś statystyki pliku z poprzedniego przebiegu. Jest to możliwe, ponieważ głównym celem pliku ze statystykami jest zapamiętanie złożoności każdej z ramek, co nie zależy zbyt mocno od szybkości transmisji. Weź jednak pod uwagę, że uzyskasz najlepsze wyniki, jeżeli wszystkie przebiegi będą uruchomione z nieróżniącymi się za bardzo docelowymi szybkościami transmisji.

Poprzedni | Początek rozdziału | Następny
9.4. Kodowanie do formatu video Sony PSP | Spis treści | 9.6. Przeskalowywanie filmów